FreeMat

- Main Page
- Related Pages

vtkXYPlotWidget

Section: Visualization Toolkit Widget Classes

# Usage

This class provides support for interactively manipulating the position, size, and orientation of a XY Plot. It listens to Left mouse events and mouse movement. It will change the cursor shape based on its location. If the cursor is over an edge of thea XY plot it will change the cursor shape to a resize edge shape. If the position of a XY plot is moved to be close to the center of one of the four edges of the viewport, then the XY plot will change its orientation to align with that edge. This orientation is sticky in that it will stay that orientation until the position is moved close to another edge.

To create an instance of class vtkXYPlotWidget, simply invoke its constructor as follows

      obj = vtkXYPlotWidget

# Methods

The class vtkXYPlotWidget has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXYPlotWidget class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXYPlotWidget = obj.NewInstance ()`
- `vtkXYPlotWidget = obj.SafeDownCast (vtkObject o)`
- `obj.SetXYPlotActor (vtkXYPlotActor )` - Get the XY plot used by this Widget. One is created automatically.
- `vtkXYPlotActor = obj.GetXYPlotActor ()` - Get the XY plot used by this Widget. One is created automatically.
- `obj.SetEnabled (int )` - Methods for turning the interactor observer on and off.